E_MODEL_YELLOW_PLATFORM = smlua_model_util_get_id("yellow_platform")
E_MODEL_GREEN_PLATFORM = smlua_model_util_get_id("green_platform")
E_MODEL_BLUE_PLATFORM = smlua_model_util_get_id("blue_platform")
E_MODEL_RED_PLATFORM = smlua_model_util_get_id("red_platform")
COL_YELLOW_PLATFORM = smlua_collision_util_get("yellow_platform_collision")
COL_GREEN_PLATFORM = smlua_collision_util_get("green_platform_collision")
COL_BLUE_PLATFORM = smlua_collision_util_get("blue_platform_collision")
COL_RED_PLATFORM = smlua_collision_util_get("red_platform_collision")

function bhv_yellow_platform_init(obj)
    obj_set_model_extended(obj, E_MODEL_YELLOW_PLATFORM)
    obj.collisionData = COL_YELLOW_PLATFORM
end
function bhv_green_platform_init(obj)
    obj_set_model_extended(obj, E_MODEL_GREEN_PLATFORM)
    obj.collisionData = COL_GREEN_PLATFORM
end
function bhv_blue_platform_init(obj)
    obj_set_model_extended(obj, E_MODEL_BLUE_PLATFORM)
    obj.collisionData = COL_BLUE_PLATFORM
end
function bhv_red_platform_init(obj)
    obj_set_model_extended(obj, E_MODEL_RED_PLATFORM)
    obj.collisionData = COL_RED_PLATFORM
end
hook_behavior(id_bhvMerryGoRound, OBJ_LIST_SURFACE, false, bhv_yellow_platform_init, nil)
hook_behavior(id_bhvSquarishPathMoving, OBJ_LIST_SURFACE, false, bhv_green_platform_init, nil)
hook_behavior(id_bhvSslMovingPyramidWall, OBJ_LIST_SURFACE, false, bhv_blue_platform_init, nil)
hook_behavior(id_bhvArrowLift, OBJ_LIST_SURFACE, false, bhv_red_platform_init, nil)